# PetscSortReal

Sorts an array of doubles in place in increasing order.

### Synopsis

    #include "petsc.h"
    #include "petscsys.h"
    PetscErrorCode  PetscSortReal(PetscInt n,PetscReal v[])

Not Collective

### Input Parameters

| n | - number of values
| v | - array of doubles

### See Also

PetscSortInt(), PetscSortRealWithPermutation()

Level:intermediate
Location: src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages